<template>
 <div >
     <SearchBar></SearchBar>
     <table class="table table-striped- table-bordered table-hover table-checkable" id="m_table_1">
       <thead class="thead-custome">
            <tr>
                <th>{{$t('global.no')}}</th>
                <th>{{$t('global.code')}}</th>
                <th>{{$t('item_nature.dr')}}</th>
                <th>{{$t('item_nature.pa')}}</th>
                <th>{{$t('item_nature.en')}}</th>
                <th>{{$t('global.opreation')}}</th>
            </tr>
        </thead>
        <tbody>

            <tr v-for="item in main_data" :key="item.id" :id="item.id">
                <td>{{item.id}}</td>
                <td>{{item.item_nature_code}}</td>
                <td>{{item.item_nature_dr}}</td>
                <td>{{item.item_nature_pa}}</td>
                <td>{{item.item_nature_en}}</td>
                <td>
                    <router-link :to="'/item_nature/edit/'+item.id">
                        <i class="fa fa-edit"></i>
                    </router-link>
                    <div class="badge delete" v-on:click="deletData(item.id)">
                        <i class="fa fa-trash"></i>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</template>
<script>
    import SearchBar from '../table_component/SearchBare.vue';
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        mixins: [SubmitForm],
        name: 'MainItemIndex',
        components: {
            SearchBar,
        },
        data() {
            return {
                'url': 'api/item_nature'
            }
        },
        created(){
            this.getData();
        }
    }
</script>
